{{- if not .Values.cluster.enabled }}
apiVersion: v1
kind: Secret
metadata:
  annotations:
    kyverno/clone: "true"
  name: {{ include "Atlantis.fullname" . }}-db-superuser
  namespace: {{ .Release.Namespace }}
type: kubernetes.io/basic-auth
data:
  username:
  password:
{{- else }}
{{- if .Values.cluster.bootstrap.enabled }}
apiVersion: v1
kind: Secret
metadata:
  annotations:
    kyverno/clone: "true"
  name: {{ .Values.cluster.bootstrap.source.db }}-replication
type: kubernetes.io/tls
data:
  tls.crt: ""
  tls.key: ""
---
apiVersion: v1
kind: Secret
type: Opaque
metadata:
  annotations:
    kyverno/clone: "true"
  name: {{ .Values.cluster.bootstrap.source.db }}-ca
  namespace: {{ .Release.Namespace }}
data:
  ca.crt: ""
  ca.key: ""
{{- end }}
{{- end }}
